petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMCreateLabel

Create a label of the given name if it does not already exist

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMCreateLabel(DM dm, const char name[])

Not Collective

### Input Parameters

| dm | - The DM object
| name | - The label name

### Keywords

mesh

### See Also

DMLabelCreate(), DMHasLabel(), DMGetLabelValue(), DMSetLabelValue(), DMGetStratumIS()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex77.c.html
src/ts/examples/tutorials/ex11.c.html